Page MenuHomePhabricator

Retire fixcopyright.wikimedia.org
Open, MediumPublic

Description

The fixcopyright.wikimedia.org wiki is no longer necessary and has stopped rendering correctly. I have gotten approval from Legal to retire the wiki. The following tasks are necessary:

  • Reverse T203179, if necessary
  • Reverse T202820, if necessary
  • Redirect fixcopyright.wikimedia.org to point to https://policy.wikimedia.org/policy-landing/copyright/
  • Close or delete the wiki. The only actual content in the wiki are some translation pages in the MediaWiki namespace that are no longer necessary. All of the rendering is done in the EUCopyrightCampaign extension and EUCopyrightCampaignSkin with the assistance of the SkinPerPage extension. So, deleting the wiki should be an option, but closing the wiki would be OK, too, if there are objections to deletion.
    • Remove from all.dblist and related clean-up
    • Remove references from the meta-index in Wikimedia Cloud Services (or create a subtask to have WMCS do it for you).
    • Remove references from the CentralAuth database.
    • Remove references from the GlobalUsage database.
    • Purge jobs for this wiki from the JobQueue.
  • The EUCopyrightCampaign extension and EUCopyrightCampaignSkin should NOT be archived, as they may be instructive, modified as a result of lessons learned, for future campaigns. However, their documentation pages on mediawiki.org should be updated to indicate that they are no longer in use.
  • Capture lessons learned on mediawiki.org page then decline the Phab tasks at https://phabricator.wikimedia.org/maniphest/?project=PHID-PROJ-xf4kosn2mznrth6uclvk&statuses=open()#R
  • Archive fixcopyright.wikimedia.org
  • Check T203899#4895417 for any additional cleanup necessary

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2019, 11:03 PM
Koavf added a subscriber: Koavf.Nov 20 2019, 11:06 PM

I object to deletion: as long as we still own the domain names (that is, "we" being the WMF, not us personally), URIs should stay active and point to something meaningful. The only thing we ever should have outright deleted was the Siberian Wikipedia.

If this gets done, potential steps afterwards could be

The Phab tasks contain some lessons learned. I agree they should be declined, but those lessons learned should be captured somewhere first. I will take care of that.

As noted in the second last bullet, it is desired that we not archive the extension and skin, as they will be potentially instructive in the future. If they are archived, will the code still be accessible somehow?

@Aklapper re. point 3: @CCicalese_WMF above mentions that she does not want those extensions archived :) Agreed with the other two points in principle, but I shall check with more time tomorrow as it's late here.

I object to deletion: as long as we still own the domain names (that is, "we" being the WMF, not us personally), URIs should stay active and point to something meaningful. The only thing we ever should have outright deleted was the Siberian Wikipedia.

See T187716: Sunset Wikipedia Zero (include https://gerrit.wikimedia.org/r/#/c/521886) where a wiki is deleted and not redirected.

Change 552549 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Delete fixcopyrightwiki

https://gerrit.wikimedia.org/r/552549

Change 552550 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop ability to load SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/552550

Funneling the domain to a static page is easy and seems prudent indeed, in particular as the domain was involved in a social media campaign and has many incoming links even if their traffic is currently dormant it would be a long-term missed education and branding moment not to direct it somewhere. Destinations like https://policy.wikimedia.org/policy-landing/copyright/ or https://meta.wikimedia.org/wiki/Fix_copyright seem like viable candidates.

@Krinkle Agreed. Legal has requested that we send traffic to the first URL you mention, https://policy.wikimedia.org/policy-landing/copyright/.

Jdforrester-WMF changed the task status from Open to Stalled.Nov 25 2019, 5:49 PM
ema triaged this task as Medium priority.Nov 29 2019, 3:45 PM
ema moved this task from Triage to General on the Traffic board.
Jdforrester-WMF changed the task status from Stalled to Open.Jan 14 2020, 11:41 PM
Krinkle updated the task description. (Show Details)Feb 16 2020, 5:48 PM

Change 552549 merged by jenkins-bot:
[operations/mediawiki-config@master] Delete fixcopyrightwiki

https://gerrit.wikimedia.org/r/552549

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:43:25Z] <jforrester@deploy1001> Synchronized dblists/all.dblist: T238803: Remove fixcopyrightwiki from all.dblist (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:44:59Z] <jforrester@deploy1001> rebuilt and synchronized wikiversions files: T238803: Remove fixcopyrightwiki from wikiversions

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:46:13Z] <jforrester@deploy1001> Synchronized dblists/: T238803: Remove fixcopyrightwiki from dblists in general (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:47:53Z] <jforrester@deploy1001> Synchronized static/images/project-logos/: T238803: Remove fixcopyrightwiki project logos (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:48:50Z] <James_F> Confirmed not SUL entries for fixcopyrightwiki as expected T238803

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:51:53Z] <James_F> Ran DELETE FROM globalimagelinks WHERE gil_wiki='fixcopyrightwiki'; - one row removed T238803

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:53:10Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T238803: Remove all IS config related to the fixcopyrightwiki wiki (duration: 00m 55s)

Change 574616 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop i18n load for SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574616

Change 552550 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop ability to load SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/552550

Change 574617 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/tools/release@master] production: Drop SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574617

Mentioned in SAL (#wikimedia-operations) [2020-02-25T00:59:48Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T238803: Drop ability to load SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin (duration: 00m 56s)

Change 574616 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop i18n load for SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574616

Change 574617 merged by jenkins-bot:
[mediawiki/tools/release@master] production: Drop SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574617

Thank you for all of your work on this, @Jdforrester-WMF!

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Feb 25 2020, 1:12 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is now done as much as we can at RelEng's side. Assigning back over to CPT for the task triage/lessons-learnt part.

Mentioned in SAL (#wikimedia-operations) [2020-02-25T01:12:42Z] <jforrester@deploy1001> Synchronized wmf-config/interwiki.php: T238803: Update interwiki cache (duration: 00m 56s)

Change 574619 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[wikimedia/production@master] production: Drop SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574619

Change 574619 merged by Jforrester:
[wikimedia/production@master] production: Drop SkinPerPage, EUCopyrightCampaign, and EUCopyrightCampaignSkin

https://gerrit.wikimedia.org/r/574619

  • Remove references from the CentralAuth database.

This item is checked but I still see it in meta_p.wiki on the Toolforge replicas. Could that row be removed?

  • Remove references from the CentralAuth database.

This item is checked but I still see it in meta_p.wiki on the Toolforge replicas. Could that row be removed?

I believe that that's T246056.

@Krinkle Are there any more items mentioned in T203899#4895417 that need to be done?

Is the item above about purging jobs from the job queue still relevant?

Once those two items are resolved, I will retire fixcopyright.wikimedia.org and resolve this task.

Krinkle added subscribers: Urbanecm, cscott.EditedMar 28 2020, 7:25 PM
  • JobQueue: I defer to CPT. I'm not sure how to check that.
  • Regarding T203899#4895417: The only thing mentioned there not yet addres here is the VCL overrides. However those were already removed last year at T203179#5294966, so that's all good.

Looking at code search (link), I found two remaining items:

@Pchelolo Do you have any insight on the job queue question? Thanks!

Purge jobs for this wiki from the JobQueue.

There's no need to do this step in WMF Kafka-based jobqueue.

CCicalese_WMF updated the task description. (Show Details)
CCicalese_WMF updated the task description. (Show Details)

As noted in the second last bullet, it is desired that we not archive the extension and skin, as they will be potentially instructive in the future. If they are archived, will the code still be accessible somehow?

Unless they're actively being used or planned on being used, it's a maintenance burden to keep them around and I would recommend archiving them. Archiving is explicitly not deletion, the code will still be forever available in the Git repository, and it is straightforward to reverse archival in case someone does want revive the skin/extension again.

Makes sense. At this point, I think it makes sense to archive EUCopyrightCampaign and EUCopyrightCampaignSkin.